## 📋 Lista

<details><summary>Clicca per visualizzare</summary>

- <img src="https://raw.githubusercontent.com/walkxcode/dashboard-icons/master/png/archiveteamwarrior.png" width="24" /> [archive warrior](archivewarrior) - un nodo per aiutare l'[archive team](https://archive.org/)
- <img src="https://raw.githubusercontent.com/khlieng/dispatch/master/client/public/icon_512.png" width="24" /> [dispatch](dispatch/) - web client per irc
- <img src="https://raw.githubusercontent.com/walkxcode/dashboard-icons/master/png/foldingathome.png" width="24" /> [folding@home](folding@home/) - calcolo distrubuito per la ricerca medica
- <img src="https://styleguide.torproject.org/static/images/tor-logo/color.svg" width="24" /> [tor-socks-proxy](tor-socks-proxy/) - tor proxy server
- <img src="https://raw.githubusercontent.com/walkxcode/dashboard-icons/master/png/tubesync.png" width="24" /> [tubesync](tubesync/) - pvr per youtube

**Immagini compatibili con i Raspberry Pi** <img src="https://raw.githubusercontent.com/walkxhub/dashboard-icons/master/png/raspberrypi.png" width="22" />

- <img src="https://i.ibb.co/XLPmnnf/borg.png" width="24" /> [borg](borg) - software per i backup 2.0
- <img src="https://raw.githubusercontent.com/walkxcode/dashboard-icons/master/png/dozzle.png" width="24" /> [dozzle](dozzle/) - interfaccia web per controllare i log dei container
- <img src="https://raw.githubusercontent.com/walkxcode/dashboard-icons/master/png/gitea.png" width="24" /> [gitea](gitea/) - server git con interfaccia web
- <img src="https://raw.githubusercontent.com/walkxcode/dashboard-icons/master/png/homer.png" width="24" /> [homer](homer/) - semplice pagina per tutti i servizi che avete (e non)
- <img src="https://raw.githubusercontent.com/walkxcode/dashboard-icons/master/png/jellyfin.png" width="24" /> [jellyfin](jellyfin/) - server per la gestione e la transcodifica di musica, film e serie tv
- <img src="https://raw.githubusercontent.com/walkxcode/dashboard-icons/master/png/komga.png" width="24" /> [komga](komga/) - server per la lettura e la gestione di manga e comics
- <img src="https://raw.githubusercontent.com/walkxcode/dashboard-icons/master/png/youtubedl.png" width="24" /> [metube](metube/) - interfaccia web per youtube-dl
- <img src="https://raw.githubusercontent.com/walkxcode/dashboard-icons/master/png/miniflux.png" width="24" /> [miniflux](miniflux/) - gestore di feed minimale
- <img src="https://raw.githubusercontent.com/walkxcode/dashboard-icons/master/png/navidrome.png" width="24" /> [navidrome](navidrome/) - server per l'ascolto e la gestione di file musicali
- <img src="https://raw.githubusercontent.com/walkxcode/dashboard-icons/master/png/pihole.png" width="24" /> [pihole+dnscrypt](pihole+dnscrypt/) - adblock di rete con un caching-proxy dns
- <img src="https://raw.githubusercontent.com/walkxcode/dashboard-icons/master/png/podify.png" width="24" /> [podgrab](podgrab/) - server per l'ascolto e la gestione di podcast
- <img src="https://raw.githubusercontent.com/walkxcode/dashboard-icons/master/png/syncthing.png" width="24" /> [syncthing](syncthing/) - dropbox decentralizzato
- <img src="https://raw.githubusercontent.com/transmission/transmission/main/gtk/icons/hicolor_apps_scalable_transmission.svg" width="24" /> [transmission](transmission/) - client bittorrent
- <img src="https://raw.githubusercontent.com/walkxcode/dashboard-icons/master/png/unifi-controller.png" width="24" /> [unifi-controller](unifi-controller/) - interfaccia web per la gestione dell'hardware ubiquiti
- <img src="https://raw.githubusercontent.com/walkxcode/dashboard-icons/master/png/watchtower.png" width="24" /> [watchotwer](watchtower/) - aggiorna automaticamente i container
- <img src="https://raw.githubusercontent.com/walkxcode/dashboard-icons/master/png/wger.png" width="24" /> [wger](wger/) - server per la gestione della vostra alimentazione e allenamenti

</details></br>

## 📚 Struttura degli esempi

**Prima di iniziare ad usare gli esempi è necessario avere:**

- **una macchina con installato una [distro linux/unix](https://wikiless.org/wiki/List_of_Linux_distributions)**
- **una conoscenza di base di linux/unix e docker(-compose)/podman**
- **versione minima dei software richiesti: `docker@20.10.12`, `docker-compose@v2.2.3`, `podman@v4.0.0`**

**<span style="text-decoration: underline">N.B. Non usando Windows (da anni) non fornisco supporto a qualsiasi problema legato ad esso e ogni issue relativa verrà chiusa senza appello.</span>**

Essendo quasi tutto esplicativo e (abbastanza) dettagliato non dovrebbero esserci particolari problemi, ma nel caso non esitate ad aprire una [issue](https://gitea.it/miracle091/MasterpieceDockerCompose/issues/new).

- **Descrizione**
- **Struttura file e cartelle**
- **Esempi**
- **Reverse proxy**
- **Aggiornamento**
- **Backup e ripristino**
- **Todo**

## 🧭 Precisazioni ed Extra

### Uso implicito della tag _"latest"_

Buona parte delle immagini sono senza tag, in modo tale che venga usata quella di default `latest`, normalmente [ne è consigliato l'uso](https://web.archive.org/web/20211117192403/https://vsupalov.com/docker-latest-tag/).

### Utilizzo di una rete specifica

Quasi ogni compose prevede l'uso di una rete specifica (attualmente è `custom-bridge`), per una gestione _"interna<->esterna"_ semplificata e migliore, ma avendo comunque un maggiore controllo anche in caso di accesso esterno della vostra rete.

---

### Bind mount

Tutti i file e le cartelle sono montati direttamente dall'host nel container:</br>
**Pro:**

- Creazione e modifica di file/cartelle in modo semplice e veloce
- Backup e ripristini molto semplici

**Contro:**

- Maggiore vulnerabilità dell'host, nel caso venga scoperta e usata una falla di sicurezza
- Obbligo di impostare e controllare i permessi (lettura/scrittura) per i file e le cartelle

---

### ctop

[![Sito ufficiale](https://img.shields.io/static/v1.svg?color=555555&logoColor=ffffff&logo=firefoxbrowser&style=flat&label=&message=Homepage)](https://ctop.sh) [![Sorgente](https://img.shields.io/static/v1.svg?color=555555&logoColor=ffffff&logo=github&style=flat&label=&message=Sorgente)](https://github.com/bcicen/ctop)

![ctop-look](https://raw.githubusercontent.com/bcicen/ctop/master/_docs/img/grid.gif)

Molto simile ad [htop](https://htop.dev/), per una gestione semplice e chiara dei container:

- Scritto in Go, eseguibile singolo e senza dipendenze
- Disponibile per le maggiori [distro linux/unix](https://github.com/bcicen/ctop#install)
- Panoramica generale e informazioni dettagliate anche per i singoli container

---

### Risorse usate

Molte delle icone sono basate sui lavori di: [walkxcode/dashboard-icons](https://github.com/walkxcode/dashboard-icons), [css.gg](https://css.gg/) e [Simple Icons](https://simpleicons.org/).

Progetti che mi hanno ispirato: [DoTheEvo/selfhosted-apps-docker](https://github.com/DoTheEvo/selfhosted-apps-docker/blob/master/README.md), [StarWhiz/docker_deployment_notes](https://github.com/StarWhiz/docker_deployment_notes/blob/master/README.md) e [A75G/docker-templates](https://github.com/A75G/docker-templates/blob/master/README.md).

---

Licenza: [CC BY-SA 4.0](https://creativecommons.org/licenses/by-sa/4.0/legalcode.txt)
