# Dozzle

<div align="center">
  <img src="https://raw.githubusercontent.com/amir20/dozzle/master/.github/demo.gif" />
</div>

## Descrizione

[![Sito ufficiale](https://img.shields.io/static/v1.svg?color=555555&logoColor=ffffff&logo=firefoxbrowser&style=flat&label=&message=Homepage)](https://dozzle.dev/) [![Sorgente](https://img.shields.io/static/v1.svg?color=555555&logoColor=ffffff&logo=github&style=flat&label=&message=Sorgente)](https://github.com/amir20/dozzle) [![Docker Hub](https://img.shields.io/static/v1.svg?color=555555&logoColor=ffffff&logo=docker&style=flat&label=&message=Docker Hub)](https://hub.docker.com/r/amir20/dozzle/) ![RPI Friendly](<https://img.shields.io/static/v1.svg?color=555555&logoColor=ffffff&logo=raspberrypi&style=flat&label=&message=RPi Friendly>)

Dozzle è un'interfaccia web per controllaer i log dei cointainer:

- Visione di più log nella stessa schermata
- Possibilità di download dei log

## Struttura file e cartelle

```
/home/
└── docker/
    └── dozzle/
        ├── .env
        └── docker-compose.yml
```

- `.env` - file contenenti le variabili environment per il docker-compose
- `docker-compose.yml` - file usato per creare il container

**N.B. Tutti i file e le cartelle devono essere creati a mano**

## Esempi

Semplice esempio per iniziare ad usare subito il container

### docker-compose

`docker-compose.yml`

```yml
version: "3.5"
services:
  dozzle:
    container_name: dozzle
    image: amir20/dozzle
    security_opt:
      - no-new-privileges:true
    restart: unless-stopped
    ports:
      - ${DOZZLE_WEBUI_PORT:-8080}:8080
    env_file: .env
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock
```

`.env`

```bash
# Generale
DOZZLE_WEBUI_PORT=8080

# Dozzle
DOZZLE_NO_ANALYTICS=true # disabilita l'invio di informazioni anonime, https://github.com/amir20/dozzle#analytics-collected
```

## Aggiornamento

### Automatico

Se usate [watchtower](../watchtower) il container si aggiorna automaticamente

### Manuale

1. `docker-compose up -d`
2. `docker image prune`

---

Licenza: [CC BY-SA 4.0](https://creativecommons.org/licenses/by-sa/4.0/legalcode.txt)
