# MeTube

<div align="center">
  <img src="https://raw.githubusercontent.com/alexta69/metube/master/screenshot.gif" />
</div>

## Descrizione

[![Sorgente](https://img.shields.io/static/v1.svg?color=555555&logoColor=ffffff&logo=github&style=flat&label=&message=Sorgente)](https://github.com/alexta69/metube) [![Docker Hub](https://img.shields.io/static/v1.svg?color=555555&logoColor=ffffff&logo=docker&style=flat&label=&message=Docker Hub)](https://hub.docker.com/r/alexta69/metube) ![RPI Friendly](<https://img.shields.io/static/v1.svg?color=555555&logoColor=ffffff&logo=raspberrypi&style=flat&label=&message=RPi Friendly>)

MeTube è un'interfaccia web per youtube-dl:

- Interfaccia web moderna, semplice e leggera basata su [Bootstrap](https://getbootstrap.com/)
- Supporta le playlist intere
- [youtube-dl](https://youtube-dl.org/) integrato e aggiornato di frequente

## Struttura file e cartelle

```
/home/
└── docker/
    └── metube/
        ├── downloads/
        ├── .env
        └── docker-compose.yml
```

- `downloads/` - cartella dove vengono salvati i video
- `.env` - file contenenti le variabili environment per il docker-compose
- `docker-compose.yml` - file usato per creare il container

**N.B. Tutti i file e le cartelle devono essere creati a mano**

## Esempi

Semplice esempio per iniziare ad usare subito il container

### network

Con docker

```bash
docker network create custom-bridge
```

oppure usando podman

```bash
podman network create custom-bridge
```

### docker-compose

`docker-compose.yml`

```yml
version: "3.5"
services:
  metube:
    container_name: metube
    image: alexta69/metube
    security_opt:
      - no-new-privileges:true
    networks:
      - custom-bridge
    restart: unless-stopped
    ports:
      - ${METUBE_WEBUI_PORT:-8081}:8081
    env_file: .env
    volumes:
      - ${METUBE_DOWNLOADS:-/home/docker/metube/downloads}:/downloads

networks:
  custom-bridge:
    name: custom-bridge
    driver: bridge
```

`.env`

```bash
# Generale
METUBE_WEBUI_PORT=8081
METUBE_DOWNLOADS=/home/docker/metube/downloads
```

## Reverse proxy

Vedi [Todo](#Todo)

## Aggiornamento

### Automatico

Usando [watchtower](../watchtower) il container si aggiorna automaticamente

### Manuale

1. `docker-compose up -d`
2. `docker image prune`

## Backup e ripristino

### Backup

Usate [borg](../borg) per fare i backup giornalieri dell'intera cartella `metube`

### Ripristino

Per una maggiore spiegazione sui passaggi da fare, controllate [qua](../borg#user-content-controllare-la-cartella-dei-backup)

1. fermare il container con `docker-compose down`
2. cancellare l'intera cartella `metube`
3. dal backup copiare la cartella `metube`
4. far ripartire il container con `docker-compose up -d`

## Todo

Implementare:

- reverse proxy: **[caddy](https://caddyserver.com/)** o **[traefik](https://doc.traefik.io/traefik/)**

---

Licenza: [CC BY-SA 4.0](https://creativecommons.org/licenses/by-sa/4.0/legalcode.txt)
