# Watchtower

<div align="center">
  <img src="https://raw.githubusercontent.com/containrrr/watchtower/main/logo.png" width="250" />
</div>

## Descrizione

[![Sito ufficiale](https://img.shields.io/static/v1.svg?color=555555&logoColor=ffffff&logo=firefoxbrowser&style=flat&label=&message=Homepage)](https://containrrr.dev/watchtower/) [![Sorgente](https://img.shields.io/static/v1.svg?color=555555&logoColor=ffffff&logo=github&style=flat&label=&message=Sorgente)](https://github.com/containrrr/watchtower) [![Docker Hub](https://img.shields.io/static/v1.svg?color=555555&logoColor=ffffff&logo=docker&style=flat&label=&message=Docker Hub)](https://hub.docker.com/r/containrrr/watchtower) [![Docs](https://img.shields.io/static/v1.svg?color=555555&logoColor=ffffff&logo=readthedocs&style=flat&label=&message=Docs)](https://containrrr.dev/watchtower/usage-overview/) ![RPI Friendly](<https://img.shields.io/static/v1.svg?color=555555&logoColor=ffffff&logo=raspberrypi&style=flat&label=&message=RPi Friendly>)

Watchtower è un'applicazione per monitorare e aggiornare i cointainer:

- Supporto alle repo locali e/o private, compreso il supporto alle credenziali di accesso (se necessarie)
- Controllo, aggiornamento e riavvio dei container, in modo totalmente autonomo
- Cancellazione automatica delle vecchie images
- Invio di [notifiche](https://containrrr.dev/watchtower/notifications/) in caso di aggiornamenti

## Struttura file e cartelle

```
/home/
└── docker/
    └── watchtower/
        ├── .env
        └── docker-compose.yml
```

- `.env` - file contenenti le variabili environment per il docker-compose
- `docker-compose.yml` - file usato per creare il container

**N.B. Tutti i file e le cartelle devono essere creati a mano**

## Esempi

Semplice esempio per iniziare ad usare subito il container

### docker-compose

`docker-compose.yml`

```yml
version: "3.5"
services:
  watchtower:
    container_name: watchtower
    image: containrrr/watchtower
    security_opt:
      - no-new-privileges:true
    restart: unless-stopped
    env_file: .env
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock
      - /etc/localtime:/etc/localtime:ro
```

`.env`

```bash
# Watchtower
WATCHTOWER_SCHEDULE="0 0 * * SAT" # https://crontab.guru/#0_0_*_*_SAT
WATCHTOWER_CLEANUP=true
WATCHTOWER_TIMEOUT="120s"
WATCHTOWER_DEBUG=false
WATCHTOWER_INCLUDE_STOPPED=false
```

## Aggiornamento

### Automatico

Chiaramente il container si aggiorna da solo :satisfied:

### Manuale

1. `docker-compose up -d`
2. `docker image prune`

---

Licenza: [CC BY-SA 4.0](https://creativecommons.org/licenses/by-sa/4.0/legalcode.txt)
